!function($, window, document, _undefined)
{
    "use strict";
  
    // 
    XF.CancelReputation = XF.Click.newHandler({
        eventType: 'click',
        eventNameSpace: 'XFCancelReputation',
        options: {},


        init: function()
        {
            let $rep = this.$target;

            $rep.on('switchclick:complete', $.proxy(this, 'deleteResponse'));
            
        },

        click: function(e)
		{
            e.preventDefault();
            // console.log(this.options.overlayOnHtml);
        },

        deleteResponse: function(e, data)
        {
            e.preventDefault();
            const t = this.$target[0];
            let postId = t.dataset.postid
            const targetBtn = document.querySelector('.jsReputationResponse-'+postId)
            const repTemp = `<a href="http://localhost/xf220/index.php?repu-system/add&post_id=${postId}" id="repPostId-{${postId}}"
			class="actionBar-action actionBar-action--rep u-jsOnly " title="${XF.phrase("rep_reputation")}"
			rel="nofollow" data-xf-click="overlay" data-xf-init="tooltip"
			data-message-id="${postId}">${XF.phrase("rep_reputation")}</a>`;
            targetBtn.innerHTML =  repTemp 
            XF.flashMessage(XF.phrase("rep_has_been_removed"), 3000);
        }
    });

    XF.Event.register('click' ,'cancel-reputation', 'XF.CancelReputation');
}
(jQuery, window, document);